<?php
/*
##############################################################################
#    Plugin for xt:Commerce VEYTON 4.0 Enterprise
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# @version $Id: class.vt_findologic_logo.php 312 2013-02-23 17:03:31Z m.hinsche $
# @copyright:   found in /lic/copyright.txt
#
##############################################################################
*/

defined('_VALID_CALL') or die('Direct Access is not allowed.');


	class vt_findologic_logo {
		function __construct() {
		}

		function _getFindologicLogoList () {
			$imageFiles = array();
			$logos = array();

			$dir = _SRV_WEBROOT.'plugins/vt_findologic/images/findologic_logos/';
			$this->getImageFiles($dir, $imageFiles);

			if(is_array($imageFiles))
				foreach ($imageFiles as $name)
					$logos[] = array('id' => $name, 'name'=>$name);

			return $logos;
		}

		function getImageFiles($dir, &$imageFiles) {
			if(!is_dir($dir)) return false;

			$imageFiles = array();

			$d = dir($dir);

			while($name = $d->read()){
				if(!preg_match('/\.(png|gif|jpg|jpeg)$/', $name)) continue;

				$imageFiles[] = $name;
			} $d->close();
		}
	}
?>