<?php

/*
  ##############################################################################
  #    Plugin for xt:Commerce VEYTON 4.0 Enterprise
  # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  # @version $Id: vt_findologic.php 5888 2015-05-12 09:30:47Z r.siemoneit $
  # @copyright:   found in /lic/copyright.txt
  #
  ##############################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');

function filterXSS($var) {
    $new_data = array();

    $var = preg_replace("/(\r\n)+|(\n|\r)+/", "<br />", $var);
    $var = str_replace('<br />', ' ', $var);
    $_original = $var;
    $match = '!<([A-Z]\w*)
		(?:\s* (?:\w+) \s* = \s* (?(?=["\']) (["\'])(?:.*?\2)+ | (?:[^\s]*) ) )* \s* (\s/)? >!ix';
    $var = preg_replace($match, '<\1\5>', $var);
    $var = preg_replace('#</*(applet|meta|xml|blink|link|style|script|embed|object|iframe|frame|frameset|ilayer|layer|bgsound|title|base)[^>]*>#i', "", $var);
    $var = strip_tags($var);

    //if($_original != $var)
    //   $var = '';

    if (get_magic_quotes_gpc() == 0) {
        $var = quote($var);
    }

    return $var;
}

function quote($var) {
    if (get_magic_quotes_gpc()) {
        $var = stripslashes($var);
    }

    $var = mysql_real_escape_string($var);
    return $var;
}

require_once _SRV_WEBROOT . _SRV_WEB_PLUGINS . 'vt_findologic/classes/class.vt_findologic_search.php';

$data = new stdClass();
$xml = "";
$url = "";
$params = "";
$order = ($_GET['order']) ? $_GET['order'] : "none";
$view = ($_GET['view']) ? $_GET['view'] : 1;

parse_str(utf8_decode(($_SERVER['QUERY_STRING'])), $_GET);

// Filtert zu stark
//global $filter;
//$_GET['keywords'] = $filter->_filterXSS($_GET['keywords']);

$_GET['keywords'] = filterXSS($_GET['keywords']);

$search = new vt_findologic_search();
$search->buildSearchUrl($url, $_GET['keywords'], $view, $order);
$search->setFilter($_GET, $url, $data, $params);
$search->callFindologic($url, $xml);

$search->checkForIdentifier($xml, $params);
$search->checkForLandingpage($xml);
$search->checkForPromotions($xml, $data);
$search->buildQueryData($xml, $data);
$search->buildFilters($xml, $data);
$search->buildProductData($xml, $data);
$search->buildOrderDropdown($data, $order);
$search->buildPaging($xml, $_GET['keywords'], $params, $view, $data);
$tpl_data = array(
    'findologic_query' => $data->query,
    'findologic_order_dropdown' => $data->orderDropdown,
    'findologic_filter' => $data->filter,
    'findologic_promotion' => $data->promotion,
    'findologic_selected_filter' => $data->selected_filter,
    'findologic_products' => $data->products,
    'findologic_request_url' => $url,
    'findologic_logo' => 'plugins/vt_findologic/images/findologic_logos/' . VT_FINDOLOGIC_SEARCH_IMAGE,
    'findologic_shopurl' => $xtLink->_link(array('page' => 'vt_findologic', 'params' => "keywords=" . urlencode($_GET['keywords']))),
    'findologic_url_params' => $params,
    'findologic_paging' => $data->paging,
);

$template = new Template();
$tpl = 'vt_findologic.html';
$template->getTemplatePath($tpl, 'vt_findologic', '', 'plugin');
$page_data = $template->getTemplate('smarty_findologic', $tpl, $tpl_data);
?>