<?php
/*
##############################################################################
#    Plugin for xt:Commerce VEYTON 4.0 Enterprise
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# @version $Id: class.plugin_install.php 3752 2014-04-09 13:39:28Z s.thamm $
# @copyright:   found in /lic/copyright.txt
#
##############################################################################
*/

defined('_VALID_CALL') or die('Direct Access is not allowed.');


	class plugin_install extends plugin {
		function __construct() {
		}

		public function installPlugin(){
			global $db, $store_handler, $language;

			$db->Execute('
				CREATE TABLE IF NOT EXISTS '.DB_PREFIX.'_plg_vt_findologic (
					findologic_id INT(11) NOT NULL auto_increment,
					findologic_file VARCHAR(64) DEFAULT NULL,
					findologic_lang_code CHAR(2) DEFAULT NULL,
                                        findologic_shop_id INT(11) NOT NULL DEFAULT 1,
					findologic_limit INT(11) DEFAULT 100,
					findologic_shopkey VARCHAR(255) DEFAULT NULL,
					findologic_serviceurl VARCHAR(255) DEFAULT NULL,
					findologic_exportuser VARCHAR(255) DEFAULT "",
					findologic_exportpass VARCHAR(255) DEFAULT "",
					findologic_lastexport DATETIME DEFAULT NULL,
					PRIMARY KEY (findologic_id)
				) ENGINE=MyISAM AUTO_INCREMENT=1;
			');

			$db->Execute("INSERT INTO ".TABLE_ADMIN_NAVIGATION." (text, icon, url_i, url_d, sortorder, parent, type, navtype) VALUES ('vt_findologic_editor', 'images/icons/report_magnify.png', '&plugin=vt_findologic', 'adminHandler.php', '6000', 'exp', 'I', 'W');");

			return true;
		}

		public function uninstallPlugin() {
			global $db;

			$db->Execute("DELETE FROM " . TABLE_ADMIN_NAVIGATION . " WHERE text = 'vt_findologic_editor'");

			$db->Execute("DROP TABLE IF EXISTS " . DB_PREFIX . "_plg_vt_findologic");

			return true;
		}
	}
?>