jQuery(function() {
	autocompleteField.autocomplete('index.php?page=vt_findologic_autocomplete', {
		minChars: 2,
		dataType: "json",
		cacheLength: 1,
		matchSubset: false,
		autoFill: false,
		selectFirst: false,
		scroll: true,
		scrollHeight: 180,
		parse: function(data) {
			return jQuery.map(data.suggestions, function(row) {
				row = row.split("|");

				return {
					data: {name: row[0], count: row[1]},
					value: row[0],
					result: row[0]
				}
			});
		},
		formatItem: function(item) { return item.name; },
		extraParams: { autoq: function() { return autocompleteField.val(); } }
	});
});