<?php

/*
  ##############################################################################
  #    Plugin for xt:Commerce VEYTON 4.0 Enterprise
  # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  # @version $Id: autocomplete.php 5888 2015-05-12 09:30:47Z r.siemoneit $
  # @copyright:   found in /lic/copyright.txt
  #
  ##############################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');


$display_output = false;

if (!ini_get('allow_url_fopen')) {
    die('allow_url_fopen is not enabled, please check your server config');
}

global $db, $language, $store_handler;

$rs = $db->Execute(
        "SELECT findologic_serviceurl, findologic_shopkey FROM " . TABLE_VT_FINDOLOGIC .
        " WHERE findologic_lang_code='" . $language->code . "' AND findologic_shop_id='" . $store_handler->shop_id . "'"
);

define("FL_SERVICE_URL", $rs->fields['findologic_serviceurl']);
define("FL_SHOP_ID", $rs->fields['findologic_shopkey']);
define("FL_REVISION", $db->GetOne("SELECT version FROM " . TABLE_PLUGIN_PRODUCTS . " WHERE code='vt_findologic'"));

if (isset($_GET['autoq']) && $_GET['autoq'] != '') {
    $query = urlencode($_GET['autoq']);
} elseif (isset($_GET['keywords']) && $_GET['keywords'] != '') {
    $query = urlencode($_GET['keywords']);
}

$url = FL_SERVICE_URL . "autocomplete.php" .
        "?shop=" . FL_SHOP_ID .
        "&revision=" . FL_REVISION .
        "&query=" . $query .
        "&group[]=" . $store_handler->shop_id;

if ($_GET['identifier']) {
    $url .= '&identifier=' . $_GET['identifier'];
}

$handle = fopen($url, 'r');

if ($handle === false) {
    die('Could not connect to search service, please check your shop config');
}

$content = "";
if ($handle) {
    while (!feof($handle)) {
        $content .= fread($handle, 512);
    }

    fclose($handle);
}

echo $content;